package com.xisc.pm.infra.repository.impl;

import com.xisc.pm.api.dto.PmIrsubableContRequestDTO;
import org.apache.commons.collections.CollectionUtils;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;
import com.xisc.pm.domain.entity.PmIrsubableCont;
import com.xisc.pm.domain.repository.PmIrsubableContRepository;
import com.xisc.pm.infra.mapper.PmIrsubableContMapper;

import javax.annotation.Resource;
import java.util.List;

/**
 * 不可替代订单表(PmIrsubableCont)资源库
 *
 * @author BKGY
 * @since 2024-12-16 15:44:40
 */
@Component
public class PmIrsubableContRepositoryImpl extends BaseRepositoryImpl<PmIrsubableCont> implements PmIrsubableContRepository {
    @Resource
    private PmIrsubableContMapper pmIrsubableContMapper;

    @Override
    public List<PmIrsubableCont> selectList(PmIrsubableContRequestDTO pmIrsubableCont) {
        return pmIrsubableContMapper.selectList(pmIrsubableCont);
    }

    @Override
    public PmIrsubableCont selectByPrimary(Long id) {
        PmIrsubableContRequestDTO pmIrsubableCont = new PmIrsubableContRequestDTO();
        pmIrsubableCont.setId(id);
        List<PmIrsubableCont> pmIrsubableConts = pmIrsubableContMapper.selectList(pmIrsubableCont);
        if (CollectionUtils.isEmpty(pmIrsubableConts)) {
            return null;
        }
        return pmIrsubableConts.get(0);
    }

}

